classification
Title: test_urllib2net failed on s390x Debian 3.6: ftp.debian.org error, too many connections from your internet address
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, haypo, serhiy.storchaka
Priority: normal Keywords:

Created on 2017-07-09 20:48 by haypo, last changed 2017-07-20 09:06 by haypo. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2755 merged ammar2, 2017-07-19 01:43
PR 2756 merged ammar2, 2017-07-19 02:53
PR 2757 merged ammar2, 2017-07-19 02:59
PR 2758 merged ammar2, 2017-07-19 03:02
Messages (8)
msg297995 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-09 20:48
http://buildbot.python.org/all/builders/s390x%20Debian%203.6/builds/530/steps/test/logs/stdio

ERROR: test_ftp (test.test_urllib2net.OtherNetworkTests) (url='ftp://ftp.debian.org/debian/README')

ERROR: test_ftp_basic (test.test_urllib2net.TimeoutTest)

ERROR: test_ftp_default_timeout (test.test_urllib2net.TimeoutTest)
...
ftplib.error_temp: 421 There are too many connections from your internet address.
...
urllib.error.URLError: <urlopen error ftp error: error_temp('421 There are too many connections from your internet address.',)>

ERROR: test_ftp_no_timeout (test.test_urllib2net.TimeoutTest)

ERROR: test_ftp_timeout (test.test_urllib2net.TimeoutTest)
msg298021 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-10 03:46
All public-facing debian.org FTP services will be shut down on November 1, 2017.

See https://www.debian.org/News/2017/20170425.
msg298627 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-07-19 02:30
I merged Ammar's PR in d81bea6520892e0428aec61c73e0631a69db11bb, but it looks like I missed that the PR title and commit message was different and the latter didn't contain bpo-30883.
msg298629 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-07-19 04:07
New changeset a739000db55ef55e69a53ca6966ea8657cac4354 by Berker Peksag (Ammar Askar) in branch '2.7':
[2.7] bpo-30883: Use pythontest.net instead of debian.org in test_urllib2net (GH-2755)
https://github.com/python/cpython/commit/a739000db55ef55e69a53ca6966ea8657cac4354
msg298698 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-07-20 00:20
New changeset aca493b7a337338fa20395fbc2d1895cb8093826 by Berker Peksag (Ammar Askar) in branch '3.5':
[3.5] bpo-30883: Use pythontest.net instead of debian.org in test_urllib2net (GH-2755)
https://github.com/python/cpython/commit/aca493b7a337338fa20395fbc2d1895cb8093826
msg298699 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-07-20 00:21
New changeset ae4dca7701ca77a37aa8c956450ff8e21fe6883e by Berker Peksag (Ammar Askar) in branch '3.6':
[3.6] bpo-30883: Use pythontest.net instead of debian.org in test_urllib2net (GH-2755)
https://github.com/python/cpython/commit/ae4dca7701ca77a37aa8c956450ff8e21fe6883e
msg298700 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-07-20 00:22
Thanks, Ammar!
msg298710 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-20 09:06
Oh, I didn't know that pythontest.net had a FTP server. Cool! Thank you for the fix ;-)
History
Date User Action Args
2017-07-20 09:06:00hayposetmessages: + msg298710
2017-07-20 00:22:40berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg298700

stage: backport needed -> resolved
2017-07-20 00:21:11berker.peksagsetmessages: + msg298699
2017-07-20 00:20:41berker.peksagsetmessages: + msg298698
2017-07-19 04:07:51berker.peksagsetmessages: + msg298629
2017-07-19 03:02:19ammar2setpull_requests: + pull_request2817
2017-07-19 02:59:33ammar2setpull_requests: + pull_request2816
2017-07-19 02:53:37ammar2setpull_requests: + pull_request2815
2017-07-19 02:30:02berker.peksagsetstage: needs patch -> backport needed
messages: + msg298627
versions: + Python 2.7, Python 3.5
2017-07-19 01:43:36ammar2setpull_requests: + pull_request2814
2017-07-10 22:26:02berker.peksagsetnosy: + berker.peksag
stage: needs patch
type: behavior

versions: + Python 3.7
2017-07-10 03:46:38serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg298021
2017-07-09 20:48:59haypocreate